[Lunar-commits] <moonbase> strongswan: New IPSEC client/server
Auke Kok
sofar at foo-projects.org
Tue Jun 21 02:09:19 CEST 2011
commit 836d59dadc9b9a52ddd7c74a077bf7f6d4bd3854
Author: Guillaume <sirocco at gmx.fr>
Date: Tue Jun 21 02:09:19 2011 +0200
strongswan: New IPSEC client/server
Hi,
Find enclosed strongswan module.
I have been using this ipsec server for many years without any problem.
You may add it to the security section of lunar ... if you are interrested by it.
Guillaume
---
zbeta/strongswan/DEPENDS | 1 +
zbeta/strongswan/DETAILS | 16 ++++++++++++++++
zbeta/strongswan/init.d/ipsec | 25 +++++++++++++++++++++++++
3 files changed, 42 insertions(+), 0 deletions(-)
diff --git a/zbeta/strongswan/DEPENDS b/zbeta/strongswan/DEPENDS
new file mode 100644
index 0000000..e2b10a2
--- /dev/null
+++ b/zbeta/strongswan/DEPENDS
@@ -0,0 +1 @@
+depends gmp
diff --git a/zbeta/strongswan/DETAILS b/zbeta/strongswan/DETAILS
new file mode 100644
index 0000000..710d7ef
--- /dev/null
+++ b/zbeta/strongswan/DETAILS
@@ -0,0 +1,16 @@
+ MODULE=strongswan
+ VERSION=4.5.2
+ SOURCE=$MODULE-$VERSION.tar.bz2
+ SOURCE_URL=http://download.strongswan.org/
+ SOURCE_VFY=md5:ac33b8f849a274127f84df0838cae953
+ WEB_SITE=http://www.strongswan.org
+ ENTERED=20110619
+ UPDATED=20110619
+ SHORT="OpenSource IPsec implementation for Linux"
+cat << EOF
+strongSwan is an OpenSource IPsec implementation for the Linux operating
+system. It is based on the discontinued FreeS/WAN project and the X.509
+patch which we developped over the last three years. In order to have a
+stable IPsec platform to base our future extensions of the X.509
+capability on, we decided to lauch the strongSwan project.
+EOF
diff --git a/zbeta/strongswan/init.d/ipsec b/zbeta/strongswan/init.d/ipsec
new file mode 100644
index 0000000..2f34391
--- /dev/null
+++ b/zbeta/strongswan/init.d/ipsec
@@ -0,0 +1,25 @@
+#!/bin/bash
+#
+# ipsec Starts, Stops and Reloads ipsec.
+#
+# chkconfig: 345 82 18
+# description: strongswan is a secure VPN
+# which rely on ipsec protocol
+# processname: /usr/sbin/ipsec
+
+
+start() {
+ echo -n "Starting ipsec: "
+ /usr/sbin/ipsec start
+ echo -e $RESULT_OK || echo -e $RESULT_FAIL
+}
+
+
+stop() {
+ echo -n "Stopping ipsec: "
+ /usr/sbin/ipsec stop
+ echo -e $RESULT_OK || echo -e $RESULT_FAIL
+}
+
+
+. /lib/lsb/init-functions
More information about the Lunar-commits
mailing list